Skip to main content
Resource Center/Hardware/Backup Storage Operations
PUTBackup Storage OperationsSince 2.2SynchronousAuth Required

BackupStorageMigrateImage

BackupStorageMigrateImage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • imageUuidStringRequired

    The image UUID.

Body Fields

  • backupstoragemigrateimageObjectRequired

    backupstoragemigrateimage request body object.

    • srcBackupStorageUuidStringRequired

      The UUID of the source backup storage.

    • dstBackupStorageUuidStringRequired

      The UUID of the destination backup storage.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryImageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • md5SumStringRequired

      No description provided.

    • urlStringRequired

      地址。

    • mediaTypeStringRequired

      No description provided.

    • guestOsTypeStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • platformStringRequired

      平台。

    • formatStringRequired

      数据格式或导出格式。

    • systemBooleanRequired

      系统。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • backupStorageRefsListRequired

      See backupStorageRefs.

      • imageUuidStringRequired

        The image UUID.

      • backupStorageUuidStringRequired

        The backup storage UUID.

      • installPathStringRequired

        安装路径。

      • exportUrlStringRequired

        导出地址。

      • exportMd5SumStringRequired

        No description provided.

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/backup-storage/images/{imageUuid}/actions

/zstack/v1/backup-storage/images/{imageUuid}/actions

Operation ID

BackupStorageMigrateImage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/images/{imageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"backupstoragemigrateimage":{"srcBackupStorageUuid":"<srcBackupStorageUuid>","dstBackupStorageUuid":"<dstBackupStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5030c88a703e41b986d140880ad79bcd", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "5030c88a703e41b986d140880ad79bcd", "backupStorageUuid": "21df59afa9414a0aa405cb4c4fef2fee", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }

Change History

This API has no change history records yet.

View all change history